Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/117
Addresses2,048
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:c00a:6000/117
First address
2c19:dd:d9:dd:c25:c25:c00a:6000
Last address
2c19:dd:d9:dd:c25:c25:c00a:67ff
Addresses
2,048
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:c00a:6000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
0.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
1.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
2.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
3.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
4.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
5.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
6.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
7.6.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/117 is not on a 4-bit boundary, so it takes 8 /120 zones.
Split into smaller subnets/124

2c19:dd:d9:dd:c25:c25:c00a:6000/117 makes 128 subnets of /124.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:c00a:6000/1242c19:dd:d9:dd:c25:c25:c00a:600f
22c19:dd:d9:dd:c25:c25:c00a:6010/1242c19:dd:d9:dd:c25:c25:c00a:601f
32c19:dd:d9:dd:c25:c25:c00a:6020/1242c19:dd:d9:dd:c25:c25:c00a:602f
42c19:dd:d9:dd:c25:c25:c00a:6030/1242c19:dd:d9:dd:c25:c25:c00a:603f
52c19:dd:d9:dd:c25:c25:c00a:6040/1242c19:dd:d9:dd:c25:c25:c00a:604f
62c19:dd:d9:dd:c25:c25:c00a:6050/1242c19:dd:d9:dd:c25:c25:c00a:605f
72c19:dd:d9:dd:c25:c25:c00a:6060/1242c19:dd:d9:dd:c25:c25:c00a:606f
82c19:dd:d9:dd:c25:c25:c00a:6070/1242c19:dd:d9:dd:c25:c25:c00a:607f
92c19:dd:d9:dd:c25:c25:c00a:6080/1242c19:dd:d9:dd:c25:c25:c00a:608f
102c19:dd:d9:dd:c25:c25:c00a:6090/1242c19:dd:d9:dd:c25:c25:c00a:609f
112c19:dd:d9:dd:c25:c25:c00a:60a0/1242c19:dd:d9:dd:c25:c25:c00a:60af
122c19:dd:d9:dd:c25:c25:c00a:60b0/1242c19:dd:d9:dd:c25:c25:c00a:60bf
132c19:dd:d9:dd:c25:c25:c00a:60c0/1242c19:dd:d9:dd:c25:c25:c00a:60cf
142c19:dd:d9:dd:c25:c25:c00a:60d0/1242c19:dd:d9:dd:c25:c25:c00a:60df
152c19:dd:d9:dd:c25:c25:c00a:60e0/1242c19:dd:d9:dd:c25:c25:c00a:60ef
162c19:dd:d9:dd:c25:c25:c00a:60f0/1242c19:dd:d9:dd:c25:c25:c00a:60ff
172c19:dd:d9:dd:c25:c25:c00a:6100/1242c19:dd:d9:dd:c25:c25:c00a:610f
182c19:dd:d9:dd:c25:c25:c00a:6110/1242c19:dd:d9:dd:c25:c25:c00a:611f
192c19:dd:d9:dd:c25:c25:c00a:6120/1242c19:dd:d9:dd:c25:c25:c00a:612f
202c19:dd:d9:dd:c25:c25:c00a:6130/1242c19:dd:d9:dd:c25:c25:c00a:613f
212c19:dd:d9:dd:c25:c25:c00a:6140/1242c19:dd:d9:dd:c25:c25:c00a:614f
222c19:dd:d9:dd:c25:c25:c00a:6150/1242c19:dd:d9:dd:c25:c25:c00a:615f
232c19:dd:d9:dd:c25:c25:c00a:6160/1242c19:dd:d9:dd:c25:c25:c00a:616f
242c19:dd:d9:dd:c25:c25:c00a:6170/1242c19:dd:d9:dd:c25:c25:c00a:617f
252c19:dd:d9:dd:c25:c25:c00a:6180/1242c19:dd:d9:dd:c25:c25:c00a:618f
262c19:dd:d9:dd:c25:c25:c00a:6190/1242c19:dd:d9:dd:c25:c25:c00a:619f
272c19:dd:d9:dd:c25:c25:c00a:61a0/1242c19:dd:d9:dd:c25:c25:c00a:61af
282c19:dd:d9:dd:c25:c25:c00a:61b0/1242c19:dd:d9:dd:c25:c25:c00a:61bf
292c19:dd:d9:dd:c25:c25:c00a:61c0/1242c19:dd:d9:dd:c25:c25:c00a:61cf
302c19:dd:d9:dd:c25:c25:c00a:61d0/1242c19:dd:d9:dd:c25:c25:c00a:61df
312c19:dd:d9:dd:c25:c25:c00a:61e0/1242c19:dd:d9:dd:c25:c25:c00a:61ef
322c19:dd:d9:dd:c25:c25:c00a:61f0/1242c19:dd:d9:dd:c25:c25:c00a:61ff
332c19:dd:d9:dd:c25:c25:c00a:6200/1242c19:dd:d9:dd:c25:c25:c00a:620f
342c19:dd:d9:dd:c25:c25:c00a:6210/1242c19:dd:d9:dd:c25:c25:c00a:621f
352c19:dd:d9:dd:c25:c25:c00a:6220/1242c19:dd:d9:dd:c25:c25:c00a:622f
362c19:dd:d9:dd:c25:c25:c00a:6230/1242c19:dd:d9:dd:c25:c25:c00a:623f
372c19:dd:d9:dd:c25:c25:c00a:6240/1242c19:dd:d9:dd:c25:c25:c00a:624f
382c19:dd:d9:dd:c25:c25:c00a:6250/1242c19:dd:d9:dd:c25:c25:c00a:625f
392c19:dd:d9:dd:c25:c25:c00a:6260/1242c19:dd:d9:dd:c25:c25:c00a:626f
402c19:dd:d9:dd:c25:c25:c00a:6270/1242c19:dd:d9:dd:c25:c25:c00a:627f
412c19:dd:d9:dd:c25:c25:c00a:6280/1242c19:dd:d9:dd:c25:c25:c00a:628f
422c19:dd:d9:dd:c25:c25:c00a:6290/1242c19:dd:d9:dd:c25:c25:c00a:629f
432c19:dd:d9:dd:c25:c25:c00a:62a0/1242c19:dd:d9:dd:c25:c25:c00a:62af
442c19:dd:d9:dd:c25:c25:c00a:62b0/1242c19:dd:d9:dd:c25:c25:c00a:62bf
452c19:dd:d9:dd:c25:c25:c00a:62c0/1242c19:dd:d9:dd:c25:c25:c00a:62cf
462c19:dd:d9:dd:c25:c25:c00a:62d0/1242c19:dd:d9:dd:c25:c25:c00a:62df
472c19:dd:d9:dd:c25:c25:c00a:62e0/1242c19:dd:d9:dd:c25:c25:c00a:62ef
482c19:dd:d9:dd:c25:c25:c00a:62f0/1242c19:dd:d9:dd:c25:c25:c00a:62ff
492c19:dd:d9:dd:c25:c25:c00a:6300/1242c19:dd:d9:dd:c25:c25:c00a:630f
502c19:dd:d9:dd:c25:c25:c00a:6310/1242c19:dd:d9:dd:c25:c25:c00a:631f
512c19:dd:d9:dd:c25:c25:c00a:6320/1242c19:dd:d9:dd:c25:c25:c00a:632f
522c19:dd:d9:dd:c25:c25:c00a:6330/1242c19:dd:d9:dd:c25:c25:c00a:633f
532c19:dd:d9:dd:c25:c25:c00a:6340/1242c19:dd:d9:dd:c25:c25:c00a:634f
542c19:dd:d9:dd:c25:c25:c00a:6350/1242c19:dd:d9:dd:c25:c25:c00a:635f
552c19:dd:d9:dd:c25:c25:c00a:6360/1242c19:dd:d9:dd:c25:c25:c00a:636f
562c19:dd:d9:dd:c25:c25:c00a:6370/1242c19:dd:d9:dd:c25:c25:c00a:637f
572c19:dd:d9:dd:c25:c25:c00a:6380/1242c19:dd:d9:dd:c25:c25:c00a:638f
582c19:dd:d9:dd:c25:c25:c00a:6390/1242c19:dd:d9:dd:c25:c25:c00a:639f
592c19:dd:d9:dd:c25:c25:c00a:63a0/1242c19:dd:d9:dd:c25:c25:c00a:63af
602c19:dd:d9:dd:c25:c25:c00a:63b0/1242c19:dd:d9:dd:c25:c25:c00a:63bf
612c19:dd:d9:dd:c25:c25:c00a:63c0/1242c19:dd:d9:dd:c25:c25:c00a:63cf
622c19:dd:d9:dd:c25:c25:c00a:63d0/1242c19:dd:d9:dd:c25:c25:c00a:63df
632c19:dd:d9:dd:c25:c25:c00a:63e0/1242c19:dd:d9:dd:c25:c25:c00a:63ef
642c19:dd:d9:dd:c25:c25:c00a:63f0/1242c19:dd:d9:dd:c25:c25:c00a:63ff
652c19:dd:d9:dd:c25:c25:c00a:6400/1242c19:dd:d9:dd:c25:c25:c00a:640f
662c19:dd:d9:dd:c25:c25:c00a:6410/1242c19:dd:d9:dd:c25:c25:c00a:641f
672c19:dd:d9:dd:c25:c25:c00a:6420/1242c19:dd:d9:dd:c25:c25:c00a:642f
682c19:dd:d9:dd:c25:c25:c00a:6430/1242c19:dd:d9:dd:c25:c25:c00a:643f
692c19:dd:d9:dd:c25:c25:c00a:6440/1242c19:dd:d9:dd:c25:c25:c00a:644f
702c19:dd:d9:dd:c25:c25:c00a:6450/1242c19:dd:d9:dd:c25:c25:c00a:645f
712c19:dd:d9:dd:c25:c25:c00a:6460/1242c19:dd:d9:dd:c25:c25:c00a:646f
722c19:dd:d9:dd:c25:c25:c00a:6470/1242c19:dd:d9:dd:c25:c25:c00a:647f
732c19:dd:d9:dd:c25:c25:c00a:6480/1242c19:dd:d9:dd:c25:c25:c00a:648f
742c19:dd:d9:dd:c25:c25:c00a:6490/1242c19:dd:d9:dd:c25:c25:c00a:649f
752c19:dd:d9:dd:c25:c25:c00a:64a0/1242c19:dd:d9:dd:c25:c25:c00a:64af
762c19:dd:d9:dd:c25:c25:c00a:64b0/1242c19:dd:d9:dd:c25:c25:c00a:64bf
772c19:dd:d9:dd:c25:c25:c00a:64c0/1242c19:dd:d9:dd:c25:c25:c00a:64cf
782c19:dd:d9:dd:c25:c25:c00a:64d0/1242c19:dd:d9:dd:c25:c25:c00a:64df
792c19:dd:d9:dd:c25:c25:c00a:64e0/1242c19:dd:d9:dd:c25:c25:c00a:64ef
802c19:dd:d9:dd:c25:c25:c00a:64f0/1242c19:dd:d9:dd:c25:c25:c00a:64ff
812c19:dd:d9:dd:c25:c25:c00a:6500/1242c19:dd:d9:dd:c25:c25:c00a:650f
822c19:dd:d9:dd:c25:c25:c00a:6510/1242c19:dd:d9:dd:c25:c25:c00a:651f
832c19:dd:d9:dd:c25:c25:c00a:6520/1242c19:dd:d9:dd:c25:c25:c00a:652f
842c19:dd:d9:dd:c25:c25:c00a:6530/1242c19:dd:d9:dd:c25:c25:c00a:653f
852c19:dd:d9:dd:c25:c25:c00a:6540/1242c19:dd:d9:dd:c25:c25:c00a:654f
862c19:dd:d9:dd:c25:c25:c00a:6550/1242c19:dd:d9:dd:c25:c25:c00a:655f
872c19:dd:d9:dd:c25:c25:c00a:6560/1242c19:dd:d9:dd:c25:c25:c00a:656f
882c19:dd:d9:dd:c25:c25:c00a:6570/1242c19:dd:d9:dd:c25:c25:c00a:657f
892c19:dd:d9:dd:c25:c25:c00a:6580/1242c19:dd:d9:dd:c25:c25:c00a:658f
902c19:dd:d9:dd:c25:c25:c00a:6590/1242c19:dd:d9:dd:c25:c25:c00a:659f
912c19:dd:d9:dd:c25:c25:c00a:65a0/1242c19:dd:d9:dd:c25:c25:c00a:65af
922c19:dd:d9:dd:c25:c25:c00a:65b0/1242c19:dd:d9:dd:c25:c25:c00a:65bf
932c19:dd:d9:dd:c25:c25:c00a:65c0/1242c19:dd:d9:dd:c25:c25:c00a:65cf
942c19:dd:d9:dd:c25:c25:c00a:65d0/1242c19:dd:d9:dd:c25:c25:c00a:65df
952c19:dd:d9:dd:c25:c25:c00a:65e0/1242c19:dd:d9:dd:c25:c25:c00a:65ef
962c19:dd:d9:dd:c25:c25:c00a:65f0/1242c19:dd:d9:dd:c25:c25:c00a:65ff
972c19:dd:d9:dd:c25:c25:c00a:6600/1242c19:dd:d9:dd:c25:c25:c00a:660f
982c19:dd:d9:dd:c25:c25:c00a:6610/1242c19:dd:d9:dd:c25:c25:c00a:661f
992c19:dd:d9:dd:c25:c25:c00a:6620/1242c19:dd:d9:dd:c25:c25:c00a:662f
1002c19:dd:d9:dd:c25:c25:c00a:6630/1242c19:dd:d9:dd:c25:c25:c00a:663f
1012c19:dd:d9:dd:c25:c25:c00a:6640/1242c19:dd:d9:dd:c25:c25:c00a:664f
1022c19:dd:d9:dd:c25:c25:c00a:6650/1242c19:dd:d9:dd:c25:c25:c00a:665f
1032c19:dd:d9:dd:c25:c25:c00a:6660/1242c19:dd:d9:dd:c25:c25:c00a:666f
1042c19:dd:d9:dd:c25:c25:c00a:6670/1242c19:dd:d9:dd:c25:c25:c00a:667f
1052c19:dd:d9:dd:c25:c25:c00a:6680/1242c19:dd:d9:dd:c25:c25:c00a:668f
1062c19:dd:d9:dd:c25:c25:c00a:6690/1242c19:dd:d9:dd:c25:c25:c00a:669f
1072c19:dd:d9:dd:c25:c25:c00a:66a0/1242c19:dd:d9:dd:c25:c25:c00a:66af
1082c19:dd:d9:dd:c25:c25:c00a:66b0/1242c19:dd:d9:dd:c25:c25:c00a:66bf
1092c19:dd:d9:dd:c25:c25:c00a:66c0/1242c19:dd:d9:dd:c25:c25:c00a:66cf
1102c19:dd:d9:dd:c25:c25:c00a:66d0/1242c19:dd:d9:dd:c25:c25:c00a:66df
1112c19:dd:d9:dd:c25:c25:c00a:66e0/1242c19:dd:d9:dd:c25:c25:c00a:66ef
1122c19:dd:d9:dd:c25:c25:c00a:66f0/1242c19:dd:d9:dd:c25:c25:c00a:66ff
1132c19:dd:d9:dd:c25:c25:c00a:6700/1242c19:dd:d9:dd:c25:c25:c00a:670f
1142c19:dd:d9:dd:c25:c25:c00a:6710/1242c19:dd:d9:dd:c25:c25:c00a:671f
1152c19:dd:d9:dd:c25:c25:c00a:6720/1242c19:dd:d9:dd:c25:c25:c00a:672f
1162c19:dd:d9:dd:c25:c25:c00a:6730/1242c19:dd:d9:dd:c25:c25:c00a:673f
1172c19:dd:d9:dd:c25:c25:c00a:6740/1242c19:dd:d9:dd:c25:c25:c00a:674f
1182c19:dd:d9:dd:c25:c25:c00a:6750/1242c19:dd:d9:dd:c25:c25:c00a:675f
1192c19:dd:d9:dd:c25:c25:c00a:6760/1242c19:dd:d9:dd:c25:c25:c00a:676f
1202c19:dd:d9:dd:c25:c25:c00a:6770/1242c19:dd:d9:dd:c25:c25:c00a:677f
1212c19:dd:d9:dd:c25:c25:c00a:6780/1242c19:dd:d9:dd:c25:c25:c00a:678f
1222c19:dd:d9:dd:c25:c25:c00a:6790/1242c19:dd:d9:dd:c25:c25:c00a:679f
1232c19:dd:d9:dd:c25:c25:c00a:67a0/1242c19:dd:d9:dd:c25:c25:c00a:67af
1242c19:dd:d9:dd:c25:c25:c00a:67b0/1242c19:dd:d9:dd:c25:c25:c00a:67bf
1252c19:dd:d9:dd:c25:c25:c00a:67c0/1242c19:dd:d9:dd:c25:c25:c00a:67cf
1262c19:dd:d9:dd:c25:c25:c00a:67d0/1242c19:dd:d9:dd:c25:c25:c00a:67df
1272c19:dd:d9:dd:c25:c25:c00a:67e0/1242c19:dd:d9:dd:c25:c25:c00a:67ef
1282c19:dd:d9:dd:c25:c25:c00a:67f0/1242c19:dd:d9:dd:c25:c25:c00a:67ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses